import { StyleSheet } from 'react-native';
import { ThemedView } from '@/components/theme/Theme';
import { Link, Stack } from 'expo-router';
import TextButton from '@/components/theme/buttons/TextButton';

const NotFoundScreen = () => {
  return (
    <>
      <Stack.Screen options={{ title: 'Page not found.' }} />
      <ThemedView style={styles.container}>
        <Link href="/">
          <TextButton
            width={200}
            height={45}
            text="Go to home screen"
            fontSize={24}
          />
        </Link>
      </ThemedView>
    </>
  );
};
export default NotFoundScreen;

const styles = StyleSheet.create({
  container: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
  },
});
